Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
openvrml::bad_url Class Reference

Thrown when there is a problem resolving a URI. More...

`#include <openvrml/bad_url.h>`

Inheritance diagram for openvrml::bad_url:
[legend]

List of all members.

## Public Member Functions

| bad_url (const std::string &message)
| Construct.
virtual | ~bad_url () throw ()
| Destroy.

## Detailed Description

Thrown when there is a problem resolving a URI.

## Constructor & Destructor Documentation

openvrml::bad_url::bad_url | ( | const std::string & | message | ) |

Construct.

Parameters:

  [in] | message | Informative text.

openvrml::bad_url::~bad_url | ( |  | ) | throw ()`[virtual]`

Destroy.